%global dlrn_nvr python-manilaclient-1.29.0-0.20200310223441.1b2cafb
%global dlrn 1
%define upstream_version 1.29.0
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global sname manilaclient
%global with_doc 0

%if 0%{?fedora}
%global with_python3 1
%endif

%global common_desc \
Client library and command line utility for interacting with Openstack \
Share API.

Name:       python-manilaclient
Version: 1.29.0
Release: 0.20200310223441.1b2cafb%{?dist}
Summary:    Client Library for OpenStack Share API
License:    ASL 2.0
URL:        https://pypi.io/pypi/%{name}
Source0: python-manilaclient-1.29.0-0.20200310223441.1b2cafb.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=1b2cafb008bee70242b68a03212bcc575df683b9

BuildArch:  noarch

%description
%{common_desc}

%package -n python%{pyver}-%{sname}
Summary:    Client Library for OpenStack Share API
%{?python_provide:%python_provide python%{pyver}-%{sname}}
%if %{pyver} == 3
Obsoletes: python2-%{sname} < %{version}-%{release}
%endif

# We require a whole set of packages that are not needed by setup.py,
# merely because Sphinx pulls them in when scanning for docstrings.
BuildRequires: python%{pyver}-devel
BuildRequires: python%{pyver}-keystoneclient
BuildRequires: python%{pyver}-oslo-utils
BuildRequires: python%{pyver}-pbr
BuildRequires: git
BuildRequires: python%{pyver}-prettytable
BuildRequires: python%{pyver}-setuptools
BuildRequires: python%{pyver}-six

Requires:   python%{pyver}-babel
Requires:   python%{pyver}-keystoneclient >= 1:3.8.0
Requires:   python%{pyver}-oslo-config >= 2:5.2.0
Requires:   python%{pyver}-oslo-i18n >= 3.15.3
Requires:   python%{pyver}-oslo-log >= 3.36.0
Requires:   python%{pyver}-oslo-serialization >= 2.18.0
Requires:   python%{pyver}-oslo-utils >= 3.33.0
Requires:   python%{pyver}-pbr
Requires:   python%{pyver}-prettytable
Requires:   python%{pyver}-requests >= 2.14.2
Requires:   python%{pyver}-six
Requires:   python%{pyver}-debtcollector

# Handle python2 exception
%if %{pyver} == 2
Requires:   python-simplejson
Requires:   python-ipaddress
%else
Requires:   python%{pyver}-simplejson
%endif


%description -n python%{pyver}-%{sname}
%{common_desc}

%if 0%{?with_doc}
%package doc
Summary:    Documentation for OpenStack Share API Client

BuildRequires: python%{pyver}-sphinx
BuildRequires: python%{pyver}-sphinxcontrib-programoutput
BuildRequires: python%{pyver}-openstackdocstheme

%description doc
%{common_desc}

This package contains documentation.
%endif

%prep
%autosetup -n %{name}-%{upstream_version} -S git

# Remove bundled egg-info
rm -rf python_manilaclient.egg-info

%build
%{pyver_build}

%if 0%{?with_doc}
sphinx-build-%{pyver} -b html doc/source doc/build/html
# Fix hidden-file-or-dir warnings
rm -fr doc/build/html/.doctrees doc/build/html/.buildinfo
%endif

%install
%{pyver_install}

# Create a versioned binary for backwards compatibility until everything is pure py3
ln -s manila %{buildroot}%{_bindir}/manila-%{pyver}

# Install bash completion
mkdir -p %{buildroot}%{_sysconfdir}/bash_completion.d
install -pm 644 tools/manila.bash_completion \
    %{buildroot}%{_sysconfdir}/bash_completion.d/manila


%files -n python%{pyver}-%{sname}
%doc README.rst
%license LICENSE
%{_bindir}/manila
%{_bindir}/manila-%{pyver}
%{_sysconfdir}/bash_completion.d
%{pyver_sitelib}/manilaclient
%{pyver_sitelib}/*.egg-info

%if 0%{?with_doc}
%files doc
%doc doc/build/html
%license LICENSE
%endif

%changelog
* Tue Mar 10 2020 OSP Prod Chain <dev-null@redhat.com> 1.29.0-1
- Update patches

* Mon Feb 24 2020 OSP Prod Chain <dev-null@redhat.com> 1.29.0-1
- Update patches

* Mon Sep 23 2019 OSP Prod Chain <dev-null@redhat.com> 1.29.0-1
- Update patches
- Merge "Add PDF documentation build"
- Add PDF documentation build
- Add CLI commands for Share Networks with multiple Subnets
- Add update share-type to SDK and CLI
- Merge "Add "functional tests" documentation"
- Add "functional tests" documentation

* Fri Sep 20 2019 RDO <dev@lists.rdoproject.org> 1.29.0-1
- Update to 1.29.0

